curl --request GET \
--url https://api.dintero.com/v1/accounts/{aid}/receipts/customers/{customer_id} \
--header 'Authorization: Bearer <token>'{
"receipts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
"deleted_at": "2023-11-07T05:31:56Z",
"store": {
"id": "sc029",
"name": "SC Oslo",
"business_name": "SC Oslo AS",
"address": {
"address_line": "Sommerkroveien 34",
"postal_place": "Oslo",
"country": "NO",
"address_line_2": "PB 123",
"postal_code": "0349"
},
"chain": "SuperChain",
"email": "contact@superchain.com",
"gln": "5790001398644",
"organization_number": "123456789MVA",
"phone_number": "+4738260107",
"mcc": "5814",
"bax": "102603",
"terminal_id": "T0292",
"payout_destination_id": "seller-1"
},
"items": [
{
"id": "175938",
"groups": [
{
"id": "B234",
"name": "Stol"
},
{
"id": "B1",
"name": "Møbel"
}
],
"quantity": 2,
"unit": "stk",
"description": "Stablestol for utendørsbruk",
"description_alias": "Stablestol",
"net_amount": 27840,
"net_amount_dwh": "27840.10",
"gross_amount": 39800,
"gross_amount_dwh": "34800.12",
"unit_gross_price": 10900,
"tax_percent": 25,
"line_id": 1,
"barcode": "3123212343212",
"cost_price": 2033,
"voided": false,
"scale_item": false,
"eligible_for_discount": true,
"included_in_total_discount": true,
"price_has_been_keyedIn": false,
"discount_has_been_keyedIn": false,
"is_return_item": false,
"is_linked_item": false,
"is_virtual_product": false,
"is_changed": true,
"salesperson_id": "000111",
"salesperson_name": "Jesper",
"serial_id": "32424234231312312",
"comment": "Kan være hva som helst",
"infocode_lines": [
{
"line_id": 1,
"amount": 123,
"amount_dwh": "1.14",
"infocode_id": "<string>",
"sub_infocode_id": "<string>",
"information": "<string>",
"input_type": 123,
"withdrawal_from_stock": false
}
],
"tax_lines": [
{
"amount": 5584,
"amount_dwh": "5584.0440",
"exempt": false,
"included_in_price": true,
"percentage": 25,
"tax_basis": 27920,
"tax_basis_dwh": "27920.22",
"tax_code": "3",
"tax_group": "Vmva-høy"
}
],
"dimension": {
"color": "<string>",
"size": "<string>",
"style": "<string>",
"config": "<string>",
"variant": "<string>"
},
"discount_lines": [
{
"amount": 4400,
"percentage": 44,
"discount_type": "customer",
"discount_id": "766da0ef-9283-42bd-b012-0582344ec53c",
"description": "<string>",
"line_id": 1
}
],
"bonus_lines": [
{
"bonus": 3130,
"percentage": 10,
"discount_type": "customer",
"discount_id": "766da0ef-9283-42bd-b012-0582344ec53c",
"description": "<string>",
"line_id": 1
}
],
"extra_info": [
{
"key": "<string>",
"value": "<string>",
"value_type": "string"
}
]
}
],
"gross_amount": 47840,
"net_amount": 38000,
"currency": "NOK",
"purchase_at": "2023-11-07T05:31:56Z"
}
],
"starting_after": "<string>"
}Get the receipts for a customer
scopes:
curl --request GET \
--url https://api.dintero.com/v1/accounts/{aid}/receipts/customers/{customer_id} \
--header 'Authorization: Bearer <token>'{
"receipts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
"deleted_at": "2023-11-07T05:31:56Z",
"store": {
"id": "sc029",
"name": "SC Oslo",
"business_name": "SC Oslo AS",
"address": {
"address_line": "Sommerkroveien 34",
"postal_place": "Oslo",
"country": "NO",
"address_line_2": "PB 123",
"postal_code": "0349"
},
"chain": "SuperChain",
"email": "contact@superchain.com",
"gln": "5790001398644",
"organization_number": "123456789MVA",
"phone_number": "+4738260107",
"mcc": "5814",
"bax": "102603",
"terminal_id": "T0292",
"payout_destination_id": "seller-1"
},
"items": [
{
"id": "175938",
"groups": [
{
"id": "B234",
"name": "Stol"
},
{
"id": "B1",
"name": "Møbel"
}
],
"quantity": 2,
"unit": "stk",
"description": "Stablestol for utendørsbruk",
"description_alias": "Stablestol",
"net_amount": 27840,
"net_amount_dwh": "27840.10",
"gross_amount": 39800,
"gross_amount_dwh": "34800.12",
"unit_gross_price": 10900,
"tax_percent": 25,
"line_id": 1,
"barcode": "3123212343212",
"cost_price": 2033,
"voided": false,
"scale_item": false,
"eligible_for_discount": true,
"included_in_total_discount": true,
"price_has_been_keyedIn": false,
"discount_has_been_keyedIn": false,
"is_return_item": false,
"is_linked_item": false,
"is_virtual_product": false,
"is_changed": true,
"salesperson_id": "000111",
"salesperson_name": "Jesper",
"serial_id": "32424234231312312",
"comment": "Kan være hva som helst",
"infocode_lines": [
{
"line_id": 1,
"amount": 123,
"amount_dwh": "1.14",
"infocode_id": "<string>",
"sub_infocode_id": "<string>",
"information": "<string>",
"input_type": 123,
"withdrawal_from_stock": false
}
],
"tax_lines": [
{
"amount": 5584,
"amount_dwh": "5584.0440",
"exempt": false,
"included_in_price": true,
"percentage": 25,
"tax_basis": 27920,
"tax_basis_dwh": "27920.22",
"tax_code": "3",
"tax_group": "Vmva-høy"
}
],
"dimension": {
"color": "<string>",
"size": "<string>",
"style": "<string>",
"config": "<string>",
"variant": "<string>"
},
"discount_lines": [
{
"amount": 4400,
"percentage": 44,
"discount_type": "customer",
"discount_id": "766da0ef-9283-42bd-b012-0582344ec53c",
"description": "<string>",
"line_id": 1
}
],
"bonus_lines": [
{
"bonus": 3130,
"percentage": 10,
"discount_type": "customer",
"discount_id": "766da0ef-9283-42bd-b012-0582344ec53c",
"description": "<string>",
"line_id": 1
}
],
"extra_info": [
{
"key": "<string>",
"value": "<string>",
"value_type": "string"
}
]
}
],
"gross_amount": 47840,
"net_amount": 38000,
"currency": "NOK",
"purchase_at": "2023-11-07T05:31:56Z"
}
],
"starting_after": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication (token authentication) should be used for accessing the API.
Use Get Token to get an access token for client credentials. Pass the token in the request header:
Authorization: Bearer {access_token}where the access_token is JSON Web Tokens (JWT).
An id that uniquely identifies the account.
9The customer id you have defined for the customer. (must not have trailing or leading spaces)
255A limit on the number of objects to be returned. Limit can range between 1 and 100 items, and the default is 10 items.
1 <= x <= 100cursor for use in pagination. starting_after is an object ID
that defines your place in the list. For instance, if you make
a list request and receive 100 objects, end the result contains
paging_token=pt1, your subsequent call can include
starting_after=pt1 in order to fetch the next page of the list.